#!/system/bin/sh

# NO WARRANTY OF ANY KIND. USE AT YOUR OWN RISK!

PART_EXT="/dev/block/mmcblk1p2"
TMP_DIR="/cache/DataOnSD"
VALID_TAG=".LGF6DataOnSD_DO_NOT_REMOVE"

if [[ ! -f /data/$VALID_TAG ]] && [[ -b $PART_EXT ]] && [[ ! -d $TMP_DIR ]]; then
  mkdir $TMP_DIR
  mount -t ext4 -o $(grep -m 1 " /data " /proc/mounts | cut -d ' ' -f 4 -) $PART_EXT $TMP_DIR
  if [[ "$?" = "0" ]]; then
    if [[ -f $TMP_DIR/$VALID_TAG ]] && [[ -d $TMP_DIR/dalvik-cache ]]; then
      mount -o bind $TMP_DIR /data
    fi
    umount $TMP_DIR
  fi
  rmdir $TMP_DIR
fi
